
/*------------------------------------------------------------------------
                         elementor-widgets
------------------------------------------------------------------------- */
.rtl .infobox-style-1 .tcr-infobox-wrapper .tcr-infobox-icon i{
    margin-right: 0px;
    margin-left: 20px;
}
.rtl .infobox-style-1 .tcr-infobox-wrapper .tcr-infobox-icon .icon-number{
    margin-right: 0px;
    margin-left: 20px;
}
.rtl .infobox-style-2 .tcr-infobox-wrapper::after {
    left: inherit;
    right: 44px;
    margin-left: -7px;
}
.rtl .infobox-style-2 .tcr-infobox-wrapper::before{
  right: 34px;
  left: inherit;
  margin-right: -7px;
  margin-left: 0px;
}
.rtl .infobox-style-2 .tcr-infobox-count{
    right:inherit;
    left: -14px;
}
.rtl .infobox-style-2 .tcr-infobox-content{
    margin-left:0px;
    margin-right: 44px;
}
.rtl .infobox-style-3 .tcr-infobox-content{
    margin-right: 15px;
    margin-left:0px;
}
.rtl .infobox-style-4 .tcr-infobox-wrapper{
    padding-right: 0px;
    padding-left: 20px;
}
.rtl .infobox-style-4 .tcr-infobox-title{
    padding-left: 0px;
    padding-right: 15px;
}
.rtl .infobox-style-5 .tcr-infobox-icon{
    left: inherit;
    right: 0px;
}
.rtl .infobox-style-5 .tcr-infobox-content{
    padding: 30px 40px 30px 30px;
    margin-right: 30px;
    margin-left: 0px;
}
.rtl .infobox-style-5 .tcr-infobox-icon-background{
    left: 40px;
    right: inherit;
}
.rtl .infobox-style-6 .tcr-infobox-wrapper .tcr-infobox-icon i{
    margin: 0 0px 0px 25px;
}
.rtl .infobox-style-7 .tcr-infobox-wrapper::after{ 
    right: 90px;
    left: inherit;
}
.rtl .infobox-style-7 .tcr-infobox-wrapper .tcr-infobox-count{
    left: -10px;
    right: inherit;
}
.rtl .infobox-style-8 .tcr-infobox-wrapper .tcr-infobox-content{
    margin-right: 20px;
    margin-left: 0px;
}
.rtl .infobox-style-9 .tcr-infobox-wrapper .tcr-infobox-icon img,
.rtl .infobox-style-9 .tcr-infobox-wrapper .tcr-infobox-icon i,
.rtl .infobox-style-9 .tcr-infobox-wrapper .tcr-infobox-icon span{
    left: 0;
    right: inherit;
}
.rtl .progress-bar-style-1 .tcr-progress-bar-value{
    float: left;
}
.rtl .progress-bar-style-1 .tcr-progress-bar-value::before{
    right: inherit;
    left: 0px;
}
.rtl .projects-style-1 .tcr-project-content-inner:hover .tcr-project-action-icons a{
    left:35px;
    right: inherit;
}
.rtl .projects-style-1 .tcr-project-content-inner .tcr-project-action-icons a{
    left: -30px;
    right: inherit;
}
.rtl .projects-style-1 .tcr-project-content-inner .tcr-project-title{
    text-align: right;
}
.rtl .services-style-1 .tcr-service-icon{
    right: inherit;
    left: 15px;
}
.rtl .services-style-3 .tcr-service-slide .tcr-service-wrapper .tcr-service-title .service-title a:before{
    left: 35px;
    right: inherit;
}
.rtl .services-style-3 .tcr-service-slide .tcr-service-wrapper:hover .tcr-service-title .service-title a:after {
  left: 28px;
  right: inherit;
}
.rtl .services-style-3 .tcr-service-slide .tcr-service-wrapper .tcr-service-title .service-title a:after{
  left: 23px;
  right: inherit;
}
.rtl .services-style-3 .tcr-service-slide .tcr-service-wrapper:hover .tcr-service-title .service-title a:before{
  left: 40px;
  right: inherit;
}
.rtl .team-style-1 .tcr-teammember-content-cover .tcr-teammember-share{
    margin-right: auto;
}
.rtl .team-style-1 .tcr-teammember-content-cover{
    left: inherit;
    right: 6%;
}
.rtl .team-style-1 .tcr-teammember-social-profiles-container{
    left: 15px;
    right: inherit;
}
.rtl .team-style-2 .tcr-teammember-social-profiles-container{
    right: inherit;
    left: 25px;
}
.rtl .testimonials-style-2 .tcr-testimonial-image-container,
.rtl .testimonials-style-2 .tcr-testimonial-image-container img {
    margin: 8px 0px 0px 25px;
}
.rtl .testimonials-style-2 .tcr-testimonial-wrapper{ 
    padding: 22px 2px 30px 30px;
}
.rtl .testimonials-style-2 .tcr-testimonial-wrapper:before{
    left: 40px;
    right: inherit;
}
.rtl .tcr-list-tab{
    margin-left: 15px;
    margin-right: 0px;
}
.rtl .tcr-pricing-table-feature-list .feature-list-item:after{
    left: 50px;
    right: inherit;
}
.rtl .blog-style-1 .tcr-post-meta .tcr-post-meta-inner .post-author i,
.rtl .blog-style-1 .tcr-post-meta .tcr-post-meta-inner .post-date i{
    padding-right: 0px;
    padding-left: 5px;
}
.rtl .blog-style-1 .tcr-post-wrapper .tcr-post-title{
    margin-left: 20px;
    margin-right: 0px;
}
.rtl .blog-style-2 .tcr-post-meta .tcr-post-meta-inner .post-date,
.rtl .blog-style-2 .tcr-post-meta .tcr-post-meta-inner .post-author {
    padding-right: 0;
    padding-left: 25px;
}

.rtl .blog-style-2 .tcr-post-meta .tcr-post-meta-inner .post-date i,
.rtl .blog-style-2 .tcr-post-meta .tcr-post-meta-inner .post-author i {
    padding-left: 5px;
    padding-right: 0px;
}
.rtl .blog-style-2 .tcr-post-wrapper .read-more-link i{
    margin-right: 10px;
    margin-left: 0px;
}
.rtl .counter-style-1 .tcr-counter-content{
    text-align: right;
}
.rtl .counter-style-1 .tcr-counter-content{
    margin-left: 0px;
    margin-right: 15px;
}

.rtl .counter-style-1 .tcr-counter-k::before{
    left: -32px;
    right: inherit;
 } 
 .rtl .counter-style-3 .tcr-counter-k::before{
    right: inherit;
    left: -18px;
}
.rtl .counter-style-2 .tcr-counter h3:after{
  left: -10px;
  right: inherit;
}
 


/*------------------------------------------------------------------------
                    them.css
------------------------------------------------------------------------- */
.rtl .tcr-vertical-text-left h3{
    left: inherit;
    right: -39px;
  }
  .rtl .widget_recent_services ul li a:after{
    right: inherit;
    left: 0;
  }
  .rtl .sidebar .widget.download-bg{
    padding-left: 0;
     padding-right: 30px;  
  } 
  .rtl .sidebar .widget h2.widget-title a{
    margin-right: 0px;
  }
  .rtl.single-service .item-download .donwload-content{
    margin-left:0;
    margin-right: 15px;
  }
  .rtl .custom-html-widget .tcr-widget-content .text h3{
    padding-right: 20px;
    padding-left: 0px;
  }
  .rtl .tcr-project-detail .tcr-project-detail-title span{
    margin-left: 15px;
    margin-right: 0px;
  }
  .rtl .tcr-teammember-thumbnail .post-thumbnail::before{
    right:inherit;
    left: -20px;
  }
  .rtl .tcr-teammember-wrapper-content{
    right: inherit;
    left: 0px; 
  }
  .rtl .tcr-blog-classic .tcr-head-wrap .author:before{
    left: inherit;
    right: 11px;
  }
  .rtl .tcr-blog-classic footer .entry-meta-container>span>i{
    margin-left: 5px;
    margin-right:0px;
  }
  .rtl .tcr-blog-classic footer .entry-meta-container>span{
    margin-right:0px;
    margin-left: 15px;
  }
  .rtl .tcr-blog-classic-inner .gallery .gallery-item:first-child {
    padding-left: 10px;
    padding-right: 0;
  } 
  .rtl .tcr-blog-classic-inner .gallery .gallery-item:last-child{
    padding-left: 0;
    padding-right: 10px;
  }
  .rtl .comment-list .reply{
    right:inherit;
    left: 0;
  }
  .rtl.comment-list .comment-content {
    padding-right: 20px;
    padding-left: 0px;
  }
  .rtl .comment-list .comment-content .comment-meta .comment-date{
    margin-left: 0px;
    margin-right: 10px;
  }
  .rtl .related-posts.blog-style-2 .tcr-post-meta .tcr-post-meta-inner .post-date:after{
    right: -17px;
    left: inherit;
  }
.rtl .related-posts.blog-style-2 .tcr-post-meta .tcr-post-meta-inner .post-date,
.rtl .related-posts.blog-style-2 .tcr-post-meta .tcr-post-meta-inner .post-author{
  padding-left: 25px;
  padding-right: 0px;
}
  .rtl .related-posts.blog-style-2 .tcr-post-wrapper .read-more-link i{
    margin-left: 0px;
    margin-right: 10px;
  }
  .rtl .site-header .sticky-site-logo,
  .rtl .site-header .site-logo{
    margin-right: 0px;
    margin-left: 80px; 
 }
 .rtl .site-header .header-right-side{
    margin-left: inherit;
    margin-right: auto;
  }
  .rtl .site-header .main-navigation div>ul ul li{
    text-align: right;
  }
  .rtl .site-header a.search-icon{
    margin-right: 0px;
    margin-left: 30px;
  }
  .rtl .header-topbar .header-contact-info li:first-child {
    margin-right: 0;
    margin-left: 15px;
  }
   .rtl .header-layout-3 .header-topbar .header-contact-info li:first-child{
    margin-left: 15px;
  }
  .rtl .header-topbar .header-topbar-right li:last-child{
    margin-left: 0;
  }
  .rtl .site-header .main-navigation div>ul ul{
    left:inherit;
    right: 0;
  }
  .rtl .header-layout-1 .contact-info i{
    margin-right:0px;
    margin-left: 15px;
  }
  .rtl .header-layout-1 .contact-info{
    padding-right:0px;
    padding-left: 40px;
  }
  .rtl .header-layout-2 .header-topbar-left:after{
    right: inherit;
    left: 0px;
  }
  .rtl .header-layout-2 .header-topbar .header-topbar-right{
    padding-left: 0px;
    padding-right: 30px;
  }
  .rtl .site-footer .crator-footer-newslatter input[type="email"]{
    padding: 0px 15px 0px 60px; 
  }
  .rtl .tcr-footer-widgets-wrapper .widget_tcr_recent_entries .tcr-post-image{
    margin-right: 0px;
    margin-left: 15px;
  }
  
  .rtl ul.crator-footer-menu li a:before{
    content: none;
  }
  .rtl ul.crator-footer-menu li a::after {
    content: '';
    font-family: 'Font Awesome 5 Free';
    content: "\f111";
    font-size: 5px;
    color: inherit;
    padding: 0 14px;
    position: relative;
    top: -2px;
    color: #fff;
    font-weight: 600;
  } 
  .rtl ul.crator-footer-menu li:first-child a::after {
  display: none;
}
.rtl .footer-topbar .tcr-footer-box .crator-footer-icon{
    margin-left: 20px;
    margin-right: 0px;
  }
  body.rtl .elementor-element .elementor-widget-accordion .elementor-accordion-item{
    text-align: right;
  }
  .rtl .elementor-accordion .elementor-tab-title .elementor-accordion-icon.elementor-accordion-icon-right{
    float: left;
  }
  body.rtl .elementor-element .elementor-accordion .elementor-tab-title{
    padding: 10px 20px 10px 0 !important;
  }
  body.rtl .elementor-element .elementor-widget-accordion .elementor-accordion .elementor-tab-title .elementor-accordion-icon{
    float: left;
  }
  .rtl button.tcr-search-button{
    right: inherit;
    left: 0px;
  }
  .rtl section.error-404 .search-form input[type="search"]{
    padding-left: 150px;
    padding-right: 10px;
  }
  .rtl section.error-404 .search-form .search-submit{
    right:inherit;
    left: 0;
  }
  .rtl section.error-404 .page-content p{
    margin-right: 20%;
    margin-left:  0 ;
  }
  .rtl.woocommerce ul.products li.product .onsale{
    left: inherit;
    right: 20px;
  }
  .rtl.woocommerce .single-product .type-product .woocommerce-tabs ul.tabs li{
    margin-right:0px;
    margin-left: 7px;
  }
  .rtl.woocommerce div.product .woocommerce-tabs ul.tabs{
    padding : 0px; 
  }
  .rtl .woocommerce a.remove{
    margin-right: 30px;
    margin-left: 0px;
  }
  .rtl.woocommerce-cart table.cart td.actions .coupon .input-text{
    margin-left: 12px;
    margin-right:0px;
  }
  .rtl.woocommerce-cart .cart-collaterals .cart_totals tr th{
    padding-right:30px ;
    padding-left : 12px;;
   }
   .rtl.woocommerce-account .woocommerce-MyAccount-navigation{
    padding-right:  0px;
    padding-left: 50px;
  }
  .rtl .tcr-mini-cart-wrapper{
    margin-right: 0px;
    margin-left: 50px;
  }
  .rtl .woocommerce.widget_product_categories .product-categories li{
    padding-right: 30px; 
    padding-left: 0px; 
  }
  .rtl .woocommerce .woocommerce-error .button,
.rtl .woocommerce .woocommerce-info .button,
.rtl .woocommerce .woocommerce-message .button,
.rtl .woocommerce-page .woocommerce-error .button,
.rtl .woocommerce-page .woocommerce-info .button,
.rtl .woocommerce-page .woocommerce-message .button {
	margin-right: 10px;
  margin-left:0px;
}
.rtl.woocommerce-cart .cart-collaterals .shipping-calculator-button::after{
  margin-left: 0px;
  margin-left: 0.618em;
}
.rtl.shop-right-sidebar .content-area{
    padding-left: 50px;
    padding-right: 0px;
  }
  .rtl.shop-left-sidebar .content-area{
    padding-left: 0px;
    padding-right: 50px;
  }
  .rtl .woocommerce.widget_product_categories .select2-container--default .select2-selection--single .select2-selection__arrow{
    right: inherit;
    left: 4px;
  }  
  
  .rtl .tcr-copyright .footer-right{ 
    text-align: left;
  }

.rtl .site-footer .crator-footer-newslatter button[type=submit]{
  left: 3px;
 right: inherit;
}

.rtl .elementor-widget .elementor-icon-list-icon+.elementor-icon-list-text{
  padding-right: 5px;
  padding-left : 0px
}
.rtl.single-team .tcr-teammember-thumbnail{
  padding-right: 0px;
  padding-left: 20px;
}

.rtl .tcr-project-detail .tcr-project-detail-value{ 
  margin-right: 15px; 
  margin-left: 0px;
}

.rtl .comment-list .comment-body .comment-meta{
  padding-left:55px;
  padding-right:  0px;
}
.rtl .widget .widget_shopping_cart_content .product_list_widget .woocommerce-mini-cart-item{
      padding-right: 35px;
    padding-left: 0px;}

.rtl .post.sticky .tcr-blog-classic-inner:after{
      left: -39px;
      right: inherit;
     padding-left: 25px;
     padding-right: 0px;
}
.rtl .comments-area .comment-list .edit-link{
  padding-right: 20px;
  padding-left: 0px;
}

/*------------------------------------------------------------------------
                      style.css
------------------------------------------------------------------------- */ 
.rtl input[type="text"],
.rtl input[type="email"],
.rtl input[type="password"],
.rtl input[type="tel"],
.rtl input[type="url"],
.rtl input[type="search"],
.rtl select,
.rtl textarea {
  text-align: right;
}
.rtl .wpcf7-form .consultation-form .input-group p{
    text-align: right;
    margin-left: auto;
  }
.rtl .wpcf7-form .consultation-form .input-group label{
    text-align: right;
    margin-left: auto;
}
.rtl .widget_tcr_recent_entries .tcr-post-image{
    margin-right: 0px;
margin-left: 15px;
}

.rtl .widget_archive ul li span,
.rtl .widget_categories ul li span {
  left: 0;
  right: inherit;
}

.rtl .widget_search .search-submit{
    left: 2px;
    right: inherit;
    border-right: 1px solid #edecec;
    border-left: none;
  }
  .rtl .comment-navigation .nav-previous,
.rtl .posts-navigation .nav-previous,
.rtl .post-navigation .nav-previous {
  padding-left: 0px;
}
.rtl .comment-navigation .nav-previous a:before,
.rtl .posts-navigation .nav-previous a:before,
.rtl .post-navigation .nav-previous a:before {
  left:inherit;
  right: 15px;
}

.rtl .comment-navigation .nav-previous a,
.rtl .posts-navigation .nav-previous a,
.rtl .post-navigation .nav-previous a {
  padding-right: 2rem;
  padding-left: 15px;
}
.rtl .comment-navigation .nav-next a,
.rtl .posts-navigation .nav-next a,
.rtl .post-navigation .nav-next a {
  padding-left: 2rem;
  padding-right: 15px; 
}

.rtl .comment-navigation .nav-next a:after,
.rtl .posts-navigation .nav-next a:after,
.rtl .post-navigation .nav-next a:after {
  right: inherit;
  left: 15px;
}
body.rtl.search .search-form input.search-submit{
    right: inherit;
    left: 0px;
  }
  .rtl.search-results .testimonial .tcr-blog-classic .tcr-blog-classic-inner,
.rtl.search-results .type-post .tcr-blog-classic .tcr-blog-classic-inner,
.rtl.search-results .type-project .tcr-blog-classic .tcr-blog-classic-inner,
.rtl.search-results .type-service .tcr-blog-classic .tcr-blog-classic-inner,
.rtl.search-results .type-team .tcr-blog-classic .tcr-blog-classic-inner {
  margin-right: 30px;
  margin-left: 0px;
}

.rtl .widget.widget_nav_menu ul li>a,
.rtl .widget.widget_pages ul li>a,
.rtl .widget.widget_meta ul li>a,
.rtl .widget.widget_recent_entries ul li,
.rtl .widget.widget_recent_comments ul li,
.rtl .widget.widget_archive ul li a,
.rtl ul.wp-block-archives li>a,
.rtl .widget.widget_categories ul li>a {
  padding-left: 0;
  padding-right: 30px;
}

.rtl .widget.widget_nav_menu ul li>a:before,
.rtl .widget.widget_pages ul li>a:before,
.rtl .widget.widget_meta ul li>a:before,
.rtl .widget.widget_recent_entries ul li:before,
.rtl .widget.widget_recent_comments ul li:before,
.rtl .widget.widget_archive ul li a:before,
.rtl ul.wp-block-archives li>a:before,
.rtl .widget.widget_categories ul li>a:before {
  right: 6px;
  left: inherit;
}
.rtl .widget.widget_nav_menu ul li>a:after,
.rtl .widget.widget_pages ul li>a:after,
.rtl .widget.widget_meta ul li>a:after,
.rtl .widget.widget_recent_entries ul li:after, 
.rtl .widget.widget_recent_comments ul li:after,
.rtl .widget.widget_archive ul li a:after,
.rtl ul.wp-block-archives li>a:after,
.rtl .widget.widget_categories ul li>a:after{
  left: inherit;
  right: 0;
}

.rtl #site-navigation-mobile{
    margin-left: inherit;
    margin-right: auto;
  }
  
  
.rtl .page-links>a:first-child,
 .rtl .page-links>span:first-child{
      margin-right: 15px;
      margin-left: 0px;
 }














/*------------------------------------------------------------------------
                         responsive
------------------------------------------------------------------------- */






@media (max-width: 767px){ 
 .rtl .comment-list .comment-avatar {
  margin-left: 0;
  margin-right: 10px;
}
.rtl .comment-list .comment-content {
  margin-right: 0;
  margin-left: 10px;
}
.rtl .header-layout-1 .site-header .sticky-site-logo{
  margin-right:0px ;
}

}





@media (max-width: 575px){ 
 .rtl .tcr-list-tab {
    margin: 0px !important; 
}
.rtl.shop-right-sidebar .content-area {
    padding-left: 0px  !important;
    padding-right: 0px  !important;
}
.rtl.shop-left-sidebar .content-area {
    padding-left: 0px  !important;
    padding-right: 0px  !important;
}
.rtl .woocommerce a.remove{
    margin-right: 0px;
}
.rtl.woocommerce-account .woocommerce-MyAccount-navigation{
    padding: 0px !important; 
}
 
 .rtl .header-layout-1 .site-header .site-logo{
  margin-right: 0px;
}

}
